{% extends 'base.html' %}
{% block title %}Ajouter une tâche{% endblock %}
{% block content %}
<form action="" method="post">
    {% csrf_token %}
    {{ form.as_p }}
    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modalAddUser" data-bs-whatever="Ajouter un nouveau utilisateur">Ajouter un nouveau utilisateur</button>
    <input type="submit" class="btn btn-primary" value="Ajouter">
</form>

<div class="modal fade" id="modalAddUser" tabindex="-1" aria-labelledby="modatAddUser" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalAddUserLabel">Ajouter un nouveau utilisateur</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form method="POST" action="{% url 'add_user_v2' %}">
                    {% csrf_token %}
                    <div class="mb-3">
                        <label for="nom-complet" class="col-form-label">Nom complet</label>
                        <input type="text" class="form-control" id="nom-complet" name="nom">
                    </div>
                    <div class="mb-3">
                        <label for="email" class="col-form-label">Email</label>
                        <input type="email" class="form-control" name="email" id="email"></input>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Annuler</button>
                        <input type="submit" class="btn btn-primary" value="Ajouter">
                    </div>
                </form>
            </div>
            
        </div>
    </div>
</div>
{% endblock %}
